import cv2
import time
from picamera2 import Picamera2

# Initialize the PiCamera
picam2 = Picamera2()
picam2.preview_configuration.main.size = (640, 480)
picam2.preview_configuration.main.format = "RGB888"
picam2.configure("preview")
picam2.start()

# Allow the camera to warm up
time.sleep(2)

while True:
    frame = picam2.capture_array()
    cv2.imshow("Raspberry Pi Camera Test", frame)
    
    # Press 'q' to exit
    if cv2.waitKey(1) & 0xFF == ord('q'):
        break

cv2.destroyAllWindows()
picam2.stop()
